package com.css.simulation.resource.scheduler.controller;

import com.css.simulation.resource.scheduler.util.MinioUtil;
import io.minio.MinioClient;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestPart;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

@RequestMapping("/minio")
@RestController
@Slf4j
public class MinioController {

    @Autowired
    MinioClient minioClient;


    @PostMapping(value = "/upload", consumes = MediaType.MULTIPART_FORM_DATA_VALUE)
    @SneakyThrows
    public void upload(@RequestPart("file") MultipartFile file, String path) {
        MinioUtil.uploadFromMultipartFile(minioClient, file, "test", path);
    }
}
